version: 25.7.3
files:
  - url: Trezor-Suite-25.7.3-mac-x64.zip
    sha512: yFkRfzzJqBqNqseoDx5f4QfLTr7V1rMVDeGxdg/urHSG5oAoTBUpIYWbv1yjcj9xsD2pgbsvVJuXDvCgqCYXkQ==
    size: 170211156
  - url: Trezor-Suite-25.7.3-mac-arm64.zip
    sha512: pEn7ChakickgOlFIIlmOJdhir1c7ZBUgmbsUEbX+0gEFFBPgXThe3FZiOBJ5r3lqBu2nYpGGFLk4UObgkNvgDg==
    size: 163561755
  - url: Trezor-Suite-25.7.3-mac-x64.dmg
    sha512: U/loSM5lJltudl5RAgCIUSpJorXPBOsHY2pkXlLZOStE9cZkYeD/7pSgENWvoct3s1BI/WDRaWAmP6ejwFRlSQ==
    size: 176225949
  - url: Trezor-Suite-25.7.3-mac-arm64.dmg
    sha512: yoh4VK1Phr1Uowyii4pxIE4U14nYVXGubTdo3Usg8X+kXgD6NDR+nJ74Pxvc3GP/tYHeTtdqsx1xQDSgHoAB7Q==
    size: 169590145
path: Trezor-Suite-25.7.3-mac-x64.zip
sha512: yFkRfzzJqBqNqseoDx5f4QfLTr7V1rMVDeGxdg/urHSG5oAoTBUpIYWbv1yjcj9xsD2pgbsvVJuXDvCgqCYXkQ==
releaseNotes: "### 🚀 New features\n\n- Stellar (XLM) support\_is now available to all users, moving from experimental to fully integrated and accessible via the Coins menu.\n- Solana address validation\_has been introduced, warning users when sending to system-derived token or staking addresses for added clarity and security.\n\n### 🎨 Improvements\n\n- The\_passphrase wallet flow\_has been refined with clearer guidance when opening existing wallets or creating new ones, improving user confidence and understanding.\n- Account discovery speed\_has been boosted by up to 50%, offering a noticeably faster and more responsive experience.\n- Transaction history navigation\_has been improved with smoother pagination, making it easier to browse past transactions.\n- The\_trading interface\_has been polished with updated modal headers and a restructured swap flow that moves DEX approvals to the start for better usability.\n- Fee rate updates\_now occur every minute, ensuring more accurate estimates when sending transactions.\n- WalletConnect transaction previews\_are now shown before confirmation, adding transparency to EVM-based transactions.\n- EIP-712 messages\_and 1inch Fusion swap details have been made easier to read, enhancing clarity during the signing process.\n\n### 🔧 Bug fixes\n\n- Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience.\n- Fixed an issue where a passphrase prompt appeared during token swaps."
releaseDate: '2025-07-17T14:31:37.930Z'
stagingPercentage: 20
